## GcalEditDialog GcalEditDialog — Event editor dialog |

## Functions

GtkWidget * | gcal_edit_dialog_new ()
void | gcal_edit_dialog_set_event_is_new ()
GcalEvent * | gcal_edit_dialog_get_event ()
void | gcal_edit_dialog_set_event ()
void | gcal_edit_dialog_set_manager ()
void | gcal_edit_dialog_set_time_format ()
GDateTime * | gcal_edit_dialog_get_date_end ()
GDateTime * | gcal_edit_dialog_get_date_start ()

## Properties

GcalEvent * | event | Read / Write
GcalManager * | manager | Read / Write
gboolean | writable | Read / Write

## Types and Values

#define | GCAL_RESPONSE_DELETE_EVENT
#define | GCAL_RESPONSE_SAVE_EVENT
#define | GCAL_RESPONSE_CREATE_EVENT
#define | GCAL_TYPE_EDIT_DIALOG
| GcalEditDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GcalEditDialog

## Implemented Interfaces

GcalEditDialog implements AtkImplementorIface and GtkBuildable.

## Description

GcalEditDialog is the event editor dialog of GNOME Calendar. It allows the user to change the various aspects of the events, as well as managing alarms.

## Functions

### gcal_edit_dialog_new ()

    GtkWidget *
    gcal_edit_dialog_new (void);

Creates a new GcalEditDialog

#### Returns

a GcalEditDialog.

[transfer full]

### gcal_edit_dialog_set_event_is_new ()

    void
    gcal_edit_dialog_set_event_is_new (GcalEditDialog *dialog,
                                       gboolean event_is_new);

Sets whether the currently edited event is a new event, or not. The `dialog` will adapt it's UI elements to reflect that.

#### Parameters

dialog | a GcalDialog |
event_is_new | `TRUE` if the event is new, `FALSE` otherwise |

### gcal_edit_dialog_get_event ()

    GcalEvent *
    gcal_edit_dialog_get_event (GcalEditDialog *dialog);

Retrieves the current event being edited by the `dialog` .

#### Parameters

dialog | a GcalDialog |

#### Returns

a GcalEvent.

[transfer none][nullable]

### gcal_edit_dialog_set_event ()

    void
    gcal_edit_dialog_set_event (GcalEditDialog *dialog,
                                GcalEvent *event);

Sets the event of the `dialog` . When `event` is `NULL`, the current event information is unset.

#### Parameters

dialog | a GcalDialog |
event | a GcalEvent. | [nullable]

### gcal_edit_dialog_set_manager ()

    void
    gcal_edit_dialog_set_manager (GcalEditDialog *dialog,
                                  GcalManager *manager);

Sets the GcalManager instance of the `dialog` .

#### Parameters

dialog | a GcalEditDialog |
manager | a GcalManager |

### gcal_edit_dialog_set_time_format ()

    void
    gcal_edit_dialog_set_time_format (GcalEditDialog *dialog,
                                      gboolean use_24h_format);

Sets the time format to be used by `dialog` .

#### Parameters

dialog | a GcalDialog |
use_24h_format | `TRUE` to use 24h format, `FALSE` otherwise |

### gcal_edit_dialog_get_date_end ()

    GDateTime *
    gcal_edit_dialog_get_date_end (GcalEditDialog *dialog);

Retrieves the end date of the edit dialog.

#### Parameters

dialog | a GcalEditDialog |

#### Returns

a GDateTime.

[transfer full]

### gcal_edit_dialog_get_date_start ()

    GDateTime *
    gcal_edit_dialog_get_date_start (GcalEditDialog *dialog);

Retrieves the start date of the edit dialog.

#### Parameters

dialog | a GcalEditDialog |

#### Returns

a GDateTime.

[transfer full]

## Types and Values

### GCAL_RESPONSE_DELETE_EVENT

    #define GCAL_RESPONSE_DELETE_EVENT 2

### GCAL_RESPONSE_SAVE_EVENT

    #define GCAL_RESPONSE_SAVE_EVENT   4

### GCAL_RESPONSE_CREATE_EVENT

    #define GCAL_RESPONSE_CREATE_EVENT 6

### GCAL_TYPE_EDIT_DIALOG

    #define GCAL_TYPE_EDIT_DIALOG                (gcal_edit_dialog_get_type ())

### GcalEditDialog

    typedef struct _GcalEditDialog GcalEditDialog;

## Property Details

### The `“event”` property

      “event”                    GcalEvent *

The event being edited.

Flags: Read / Write

### The `“manager”` property

      “manager”                  GcalManager *

The manager of the dialog.

Flags: Read / Write

### The `“writable”` property

      “writable”                 gboolean

Whether the current event can be edited or not.

Flags: Read / Write

Default value: TRUE